Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4e14347bbe765c4f6a1a5cb205537ca960570e7)
+++ introduction/welcome/changelog.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>August 23rd, 2002 [larry]: Server: Added
+sendmail.</para></listitem>
 
 <listitem><para>August 23rd, 2002 [larry]: gnome: Added
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision c4e14347bbe765c4f6a1a5cb205537ca960570e7)
+++ introduction/welcome/credits.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -91,5 +91,6 @@
 Hymers</emphasis></para></listitem>
 
-<listitem><para>bind, emacs, leafnode, libfam, pine, qmail, Samba, slrn and xinetd: <emphasis>Billy O'Connor</emphasis></para></listitem>
+<listitem><para>bind, emacs, leafnode, libfam, pine, qmail, Samba,
+sendmail, slrn and xinetd: <emphasis>Billy O'Connor</emphasis></para></listitem>
 
 <listitem><para>fetchmail and wvdial: <emphasis>Paul
Index: server/mail/sendmail.xml
===================================================================
--- server/mail/sendmail.xml	(revision c4e14347bbe765c4f6a1a5cb205537ca960570e7)
+++ server/mail/sendmail.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -1,7 +1,10 @@
-<sect1 id="sendmail" xreflabel="sendmail">
+<sect1 id="sendmail" xreflabel="sendmail-&sendmail-version;">
 <?dbhtml filename="sendmail.html" dir="server"?>
-<title>sendmail</title>
+<title>sendmail-&sendmail-version;</title>
 
-<para>TO BE DONE</para>
+&sendmail-intro;
+&sendmail-inst;
+&sendmail-config;
+&sendmail-desc;
 
 </sect1>
Index: server/mail/sendmail/sendmail-config.xml
===================================================================
--- server/mail/sendmail/sendmail-config.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
+++ server/mail/sendmail/sendmail-config.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -0,0 +1,78 @@
+<sect2>
+<title>Configuring sendmail</title>
+
+<sect3><title>Config files</title>
+<para><userinput>/etc/mail/aliases.db, /etc/mail/sendmail.cf,
+/etc/mail/submit.cf</userinput> and
+<userinput>/etc/mail/local-host-names</userinput></para>
+</sect3>
+
+<sect3><title>Configuring sendmail</title>
+<para><screen><userinput>
+echo `hostname` > /etc/mail/local-host-names
+cat > /etc/mail/aliases << "EOF"
+postmaster: root
+MAILER-DAEMON: root
+EOF
+sendmail -v -bi
+/usr/sbin/sendmail -bs -bd -q1m
+</userinput></screen></para>
+
+<para>To start and stop sendmail on system boot/shutdown create the
+sendmail boot script with the following commands: </para>
+
+<para><screen><userinput>cat &gt; /etc/rc.d/init.d/sendmail &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin $rc_base/init.d/sendmail
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+
+        start)
+        echo "Starting sendmail..."
+        loadproc sendmail -bs -bd -q1m start
+        ;;
+
+        stop)
+        echo "Stopping Sendmail..."
+        killproc sendmail
+        ;;
+		
+	status)
+	statusproc sendmail
+	;;
+	
+        restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+
+        *)
+        echo "Usage: $0 {start|stop|status|restart}"
+        exit 1
+        ;;
+esac
+
+# End $rc_base/init.d/sendmail
+<userinput>EOF
+chmod 755 /etc/rc.d/init.d/sendmail</userinput></screen></para>
+
+<para>Create the run level symlinks with the following commands:
+
+<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/sendmail ../rc0.d/K25sendmail &amp;&amp;
+ln -sf ../init.d/sendmail ../rc1.d/K25sendmail &amp;&amp;
+ln -sf ../init.d/sendmail ../rc2.d/K25sendmail &amp;&amp;
+ln -sf ../init.d/sendmail ../rc3.d/S35sendmail &amp;&amp;
+ln -sf ../init.d/sendmail ../rc4.d/S35sendmail &amp;&amp;
+ln -sf ../init.d/sendmail ../rc5.d/S35sendmail &amp;&amp;
+ln -sf ../init.d/sendmail ../rc6.d/K25sendmail</userinput></screen></para>
+</sect3>
+
+</sect2>
Index: server/mail/sendmail/sendmail-desc.xml
===================================================================
--- server/mail/sendmail/sendmail-desc.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
+++ server/mail/sendmail/sendmail-desc.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -0,0 +1,43 @@
+<sect2>
+<title>Contents</title>
+
+<para>The sendmail package contains
+<userinput>mail.local</userinput>,
+<userinput>rmail</userinput>,
+<userinput>smrsh</userinput>,
+<userinput>editmap</userinput>,
+<userinput>makemap</userinput>,
+<userinput>mailq</userinput>,
+<userinput>newaliases</userinput>,
+<userinput>sendmail</userinput>,
+<userinput>vacation</userinput>,
+<userinput>praliases</userinput>,
+<userinput>mailstats</userinput>,
+and <userinput></userinput>.</para>
+</sect2>
+<sect2><title>Description</title>
+<sect3><title>mail.local</title>
+<para>mail.local appends its standard input to a user's mail
+file.</para></sect3>
+<sect3><title>rmail</title>
+<para>rmail interprets incoming mail received via uucp.</para></sect3>
+<sect3><title>smrsh</title>
+<para>smrsh is a restricted shell for Sendmail.</para></sect3>
+<sect3><title>editmap</title>
+<para>editmap queries and edits Sendmail map files.</para></sect3>
+<sect3><title>makemap</title>
+<para>makemap creates Sendmail map files.</para></sect3>
+<sect3><title>mailq</title>
+<para>mailq prints a summary of waiting mail messages.</para></sect3>
+<sect3><title>newaliases</title>
+<para>newaliases rebuilds /etc/mail/aliases.db.</para></sect3>
+<sect3><title>sendmail</title>
+<para>sendmail is the Sendmail mail transport agent.</para></sect3>
+<sect3><title>vacation</title>
+<para>vacation is an email auto responder.</para></sect3>
+<sect3><title>praliases</title>
+<para>praliases displays current Sendmail aliases.</para></sect3>
+<sect3><title>mailstats</title>
+<para>mailstats displays Sendmail statistics.</para></sect3>
+</sect2>
+
Index: server/mail/sendmail/sendmail-inst.xml
===================================================================
--- server/mail/sendmail/sendmail-inst.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
+++ server/mail/sendmail/sendmail-inst.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -0,0 +1,29 @@
+<sect2>
+<title>Installation of sendmail</title>
+
+<para>Before building sendmail, we need to create users, groups and
+directories that sendmail uses with the following commands:</para>
+<para><screen><userinput>
+groupadd -g 18 smmsp &amp;&amp;
+groupadd -g 19 mail &amp;&amp;
+useradd -g smmsp -G mail -u 18 smmsp &amp;&amp;
+chmod 1777 /tmp &amp;&amp;
+chmod 1777 /var/mail &amp;&amp;
+mkdir /var/spool/mqueue
+</userinput></screen></para>
+
+<para>Install sendmail with the following commands:</para>
+
+<para><screen><userinput>
+cd sendmail &amp;&amp;
+sh Build &amp;&amp;
+cd ../cf/cf &amp;&amp;
+cp generic-linux.mc sendmail.mc &amp;&amp;
+mkdir /etc/mail &amp;&amp;
+sh Build sendmail.mc &amp;&amp;
+sh Build install-cf &amp;&amp;
+cd ../../ &amp;&amp;
+sh Build install
+</userinput></screen></para>
+</sect2>
+
Index: server/mail/sendmail/sendmail-intro.xml
===================================================================
--- server/mail/sendmail/sendmail-intro.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
+++ server/mail/sendmail/sendmail-intro.xml	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Introduction to sendmail</title>
+
+<screen>
+Download location (FTP):        <ulink url="&sendmail-download-ftp;"/>
+Version used:                   &sendmail-version;
+Package size:                   &sendmail-size;
+Estimated Disk space required:  &sendmail-buildsize;</screen>
+
+<para>The sendmail package contains a Mail Transport Agent
+(MTA).  </para>
+
+
+<screen>sendmail depends on: 
+<xref linkend="db"/>, <xref linkend="procmail"/></screen>
+
+</sect2>
Index: server/mail/sendmail/sendmail.ent
===================================================================
--- server/mail/sendmail/sendmail.ent	(revision c4e14347bbe765c4f6a1a5cb205537ca960570e7)
+++ server/mail/sendmail/sendmail.ent	(revision dbeecd7ec56cd33405f128ec6b1c90f82073d0b4)
@@ -1,1 +1,10 @@
 <!ENTITY sendmail SYSTEM "../sendmail.xml">
+<!ENTITY sendmail-intro SYSTEM "sendmail-intro.xml">
+<!ENTITY sendmail-inst SYSTEM "sendmail-inst.xml">
+<!ENTITY sendmail-desc SYSTEM "sendmail-desc.xml">
+<!ENTITY sendmail-config SYSTEM "sendmail-config.xml">
+<!ENTITY sendmail-buildsize "12 MB">
+<!ENTITY sendmail-version "8.12.5">
+<!ENTITY sendmail-download-ftp
+"ftp://ftp.sendmail.org/pub/sendmail/sendmail.8.12.5.tar.gz">
+<!ENTITY sendmail-size "1.8 MB">
